summaryrefslogtreecommitdiffstats
path: root/ipa-server/ipa-kpasswd
diff options
context:
space:
mode:
authorRob Crittenden <rcritten@redhat.com>2008-01-18 16:20:36 -0500
committerRob Crittenden <rcritten@redhat.com>2008-01-18 16:20:36 -0500
commit042fb11fa107718a831d468d16188e02f6ae3712 (patch)
treee0e8ee6701800b8f03702cb338f8efa211b18046 /ipa-server/ipa-kpasswd
parentaaa3cfd58ca0c62325d7637b67c6711660624f5d (diff)
downloadfreeipa-042fb11fa107718a831d468d16188e02f6ae3712.tar.gz
freeipa-042fb11fa107718a831d468d16188e02f6ae3712.tar.xz
freeipa-042fb11fa107718a831d468d16188e02f6ae3712.zip
Fix issues reported by rpmlint.
- Removing shebangs (#!) from a bunch of python libraries - Don't use a variable name in init scripts for the lock file - Keep the init script name consistent with the binary name, so renamed ipa-kpasswd.init to ipa_kpasswd.init - Add status option to the init scripts - Move most python scripts out of /usr/share/ipa and into the python site-packages directories (ipaserver and ipaclient) - Remove unnecessary sys.path.append("/usr/share/ipa") - Fix the license string in the spec files - Rename ipa-webgui to ipa_webgui everywhere - Fix a couple of issues reported by pychecker in ipa-python
Diffstat (limited to 'ipa-server/ipa-kpasswd')
-rw-r--r--ipa-server/ipa-kpasswd/Makefile.am8
-rw-r--r--[-rwxr-xr-x]ipa-server/ipa-kpasswd/ipa_kpasswd.init (renamed from ipa-server/ipa-kpasswd/ipa-kpasswd.init)19
2 files changed, 17 insertions, 10 deletions
diff --git a/ipa-server/ipa-kpasswd/Makefile.am b/ipa-server/ipa-kpasswd/Makefile.am
index 02145d251..2953823c9 100644
--- a/ipa-server/ipa-kpasswd/Makefile.am
+++ b/ipa-server/ipa-kpasswd/Makefile.am
@@ -28,7 +28,7 @@ ipa_kpasswd_LDADD = \
EXTRA_DIST = \
README \
- ipa-kpasswd.init \
+ ipa_kpasswd.init \
$(NULL)
MAINTAINERCLEANFILES = \
@@ -37,14 +37,14 @@ MAINTAINERCLEANFILES = \
initdir=$(sysconfdir)/rc.d/init.d
-install-data-hook: ipa-kpasswd.init
+install-data-hook: ipa_kpasswd.init
if test '!' -d $(DESTDIR)$(initdir); then \
$(mkinstalldirs) $(DESTDIR)$(initdir); \
chmod 755 $(DESTDIR)$(initdir); \
fi
- $(INSTALL_SCRIPT) $(srcdir)/ipa-kpasswd.init $(DESTDIR)$(initdir)/ipa-kpasswd
+ $(INSTALL_SCRIPT) $(srcdir)/ipa_kpasswd.init $(DESTDIR)$(initdir)/ipa_kpasswd
uninstall-hook:
- rm -f $(DESTDIR)$(initdir)/ipa-kpasswd
+ rm -f $(DESTDIR)$(initdir)/ipa_kpasswd
diff --git a/ipa-server/ipa-kpasswd/ipa-kpasswd.init b/ipa-server/ipa-kpasswd/ipa_kpasswd.init
index 7918867e9..d7244bed6 100755..100644
--- a/ipa-server/ipa-kpasswd/ipa-kpasswd.init
+++ b/ipa-server/ipa-kpasswd/ipa_kpasswd.init
@@ -1,9 +1,9 @@
#!/bin/sh
#
-# ipa-kpasswd This starts and stops ipa-kpasswd
+# ipa_kpasswd This starts and stops ipa_kpasswd
#
# chkconfig: - 36 64
-# description: ipa-kpasswd IPA Kpasswd daemon
+# description: ipa_kpasswd IPA Kpasswd daemon
# processname: /usr/sbin/ipa_kpasswd
# configdir: /etc/sysconfig/ipa-kpasswd
#
@@ -30,13 +30,14 @@ if [ -f /etc/sysconfig/ipa-kpasswd ] ; then
fi
NAME="ipa_kpasswd"
+PROG="/usr/sbin/ipa_kpasswd"
start() {
echo -n $"Starting $NAME: "
daemon $NAME
RETVAL=$?
echo
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$NAME || \
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ipa_kpasswd || \
RETVAL=1
return $RETVAL
}
@@ -46,7 +47,7 @@ stop() {
killproc $NAME
RETVAL=$?
echo
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$NAME
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/ipa_kpasswd
return $RETVAL
}
@@ -62,14 +63,20 @@ case "$1" in
stop)
stop
;;
+ status)
+ status $PROG
+ ;;
restart)
restart
;;
condrestart)
- [ -f /var/lock/subsys/$NAME ] && restart || :
+ [ -f /var/lock/subsys/ipa_kpasswd ] && restart || :
+ ;;
+ reload)
+ exit 3
;;
*)
- echo $"Usage: $0 {start|stop|restart|condrestart}"
+ echo $"Usage: $0 {start|stop|status|restart|condrestart}"
exit 2
esac